package com.bocloud.nms.model.veeam;

public class BackupModel {

    private String id;
    private String jobId;
    private String policyTag;
    private String name;
    private String platformName;
    private String platformId;
    private String creationTime;
    private String repositoryId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getJobId() {
        return jobId;
    }

    public void setJobId(String jobId) {
        this.jobId = jobId;
    }

    public String getPolicyTag() {
        return policyTag;
    }

    public void setPolicyTag(String policyTag) {
        this.policyTag = policyTag;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public String getPlatformId() {
        return platformId;
    }

    public void setPlatformId(String platformId) {
        this.platformId = platformId;
    }

    public String getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(String creationTime) {
        this.creationTime = creationTime;
    }

    public String getRepositoryId() {
        return repositoryId;
    }

    public void setRepositoryId(String repositoryId) {
        this.repositoryId = repositoryId;
    }

    @Override
    public String toString() {
        return "BackupModel{" +
                "id='" + id + '\'' +
                ", jobId='" + jobId + '\'' +
                ", policyTag='" + policyTag + '\'' +
                ", name='" + name + '\'' +
                ", platformName='" + platformName + '\'' +
                ", platformId='" + platformId + '\'' +
                ", creationTime='" + creationTime + '\'' +
                ", repositoryId='" + repositoryId + '\'' +
                '}';
    }
}
